Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Daniel Martinez
Category:
Target version: 2.3.0-2418 (rev. org.gvsig.desktop-2.0.124)
Severity: Minor Add-on version:
gvSIG version: 2.3.0 Add-on build:
gvSIG build: 2413 Add-on resolve version:
Operative System: Windows Add-on resolve build:
Keywords: memory Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

The "Native preferences mainplugin" doesn't work fine on win 64 bit. It asks to execute gvSIG as administrator, even if it's not
necessary because gvSIG is installed out of program folder, e.g. in C:\.

Associated revisions
Revision 95 - 01/27/2016 03:01 PM - Daniel Martinez

refs #3964 It tried to modify gvSIG.sh, which was in use. Solved creating a config file which can be modified by the application and readed by
gvSIG.sh.

Revision 42658 - 01/27/2016 03:01 PM - Daniel Martinez

refs #3964 It tried to modify gvSIG.sh, which was in use. Solved creating a config file which can be modified by the application and readed by
gvSIG.sh.

Revision 42663 - 01/29/2016 02:11 PM - Daniel Martinez

refs #3964 gvSIG.sh now looks for a config file in user home, and gvSIG.sh is copied in installation folder

History
#1 - 01/15/2016 03:29 PM - Antonio Falciano
- Target version set to 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153)

Furthermore, if I execute gvSIG as administrator it doesn't allow to do nothing in Preferences, Memory. The window is always the same of before. It
happens also in build 2414.

#2 - 01/20/2016 11:37 AM - Álvaro Anguix
- Assignee set to Daniel Martinez

#3 - 01/27/2016 03:03 PM - Daniel Martinez
- Status changed from New to Fixed

#4 - 01/27/2016 11:31 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153) to 2.3.0-2417 (rev. org.gvsig.desktop-2.0.123)

#5 - 01/29/2016 09:55 AM - Antonio Falciano
- Target version changed from 2.3.0-2417 (rev. org.gvsig.desktop-2.0.123) to 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153)
- Status changed from Fixed to New

Hi, I've just installed the build 2417 x86_64 and the gvSIG.config file is not available in the gvSIG installation folder, so it's not completely fixed. If I
copy the gvSIG.config file from r42658 and paste it into the gvSIG installation folder, then it's possible to configure the memory from Preferences. But
what's happen if the user deletes the gvSIG.config accidentally? A robust solution would be creating again this file (or recover the latest backup) if it
doesn't exist.

#6 - 02/01/2016 12:50 PM - Daniel Martinez
- Status changed from New to Fixed

Now copies the config file in installation. gvSIG.sh looks for the file in the installation folder and the user home to improve its usage in future revisions.

#7 - 02/01/2016 04:51 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153) to 2.3.0-2418 (rev. org.gvsig.desktop-2.0.124)

#8 - 02/02/2016 07:16 PM - Antonio Falciano
- Status changed from Fixed to Closed
